This topic contains 53 replies, has 0 voices, and was last updated by  jdog 11 years, 4 months ago.

  • Author
    Posts
  • #4527

    Crispy Critter
    Participant

    First, I ran into trouble with the “missing” script


    [russ@shadow scorched]$ make
    cd . &&
    /bin/sh /home/russ/scorched/missing --run automake-1.6 --foreign Makefile
    cd . && /bin/sh /home/russ/scorched/missing --run autoconf
    Can't locate object method "path" via package "Request" at /usr/share/autoconf/Autom4te/C4che.pm line 69, line 111.
    make: *** [configure] Error 1

    FIX:

    echo “exit 0” >missing

    Then, I found that my efforts to make v40 compile OK on 64-bit systems with gcc 4 were duly ignored. Time to go through the code again and create a new patch set.

    #30577

    imported_gcamp
    Participant

    @Crispy Critter wrote:

    Then, I found that my efforts to make v40 compile OK on 64-bit systems with gcc 4 were duly ignored. Time to go through the code again and create a new patch set.

    Sorry, I was a bit dubious merging them in when I didn’t have the time to test them with regard to 64->32 bit network compatability. I should have time now.

    #30578

    cbx550f
    Participant

    While we wait for the new version to appear in the portage tree, use the ebuild I’ve attached.

    To use it do the following:

    gzip -d scorched3d-40_ebuild.gz
    mv scorched3d-40.ebuild /usr/portage/games-strategy/
    emerge --digest -av scorched3d

    You may have to add “games-strategy/scorched3d” to your /etc/portage/package.unmask file.

    cbx

    Note: You must download the source to /usr/portage/distfiles first)

    #30579

    Crispy Critter
    Participant

    I got it working again (still minus boid sounds, which cause crashes, as they have in v39/64-bit as well). I’ll post a writeup soon on how to get it going – and maybe try working up a FC5/64-compatible RPM as well.

    I tried debugging the boid sound crashes back when v40 was still in CVS, and quickly got lost in a maze of twisty little passages, all different.

    #30580

    apache64d
    Participant

    Whoohoo! v40 finaly here!
    Good job!

    Few comment:
    1. Why the prices are higher for: parachutes, fuel, mirvs…(more weapons..?). Each 1 of them is higher by few 100’s bucks.
    2. Shield are now if a pack of 2 and not 3>>good thing. Same price, good too.
    3. Nice glowing shields!
    4. Nice sound for the chutes (from a mod game right?..shock mod?)
    5. The ships look awsome!

    If I have more I’ll post later…

    #30581

    chaz_lehmann
    Participant

    Whenever I try to start an Apoc game in v40, I get fatal errors. The last error message before Scorched crashes is about the “shield” function not loading.

    #30582

    Bobirov
    Participant

    @chaz_lehmann wrote:

    Whenever I try to start an Apoc game in v40, I get fatal errors. The last error message before Scorched crashes is about the “shield” function not loading.

    What is the exact error? Also is this single player or multiplayer?

    One thing I can think of to try is deleting your .scorched/mods/apoc folder to remove any downloaded files for you might have leftover from v39.

    #30583

    fab4
    Participant

    Great news Gavin.

    I downloaded the OSX source and couldn’t get it to compile – I guess the version of SDL installed on my OSX 10.4.5 machine is less than 1.2.5 and I couldn’t figure how to get past this error. I’m no C programmer. I guess it’s time to start begging for an OSX Binary 😉

    #30584

    Thrax
    Participant

    minor noncritical bug..
    noticed that with 98se and full-screen, when you close the game,
    it does not reset your monitor size back to previous.

    is this just me? or has anyone else tried..

    #30585

    chaz_lehmann
    Participant

    Same bug in single and multiplayer. I tried uninstalling and reinstalling… I’ll try deleting the folder entirely.

    #30586

    Deathstryker
    Participant

    @chaz_lehmann wrote:

    Same bug in single and multiplayer. I tried uninstalling and reinstalling… I’ll try deleting the folder entirely.

    Bobirov means try deleting the USER folder… That’s usually in C:documents and settings.scorched3d. That folder could also be located in your Scorched folder if you don’t have an user directory. The problem might be that version 40 is finding errors when it tries to read the existing v39 folder as the files are sure to be different. When you delete that folder and start scorched again, it automatically recreates it with version 40 files. Sooo, you might want to try that.

    #30587

    doom
    Participant

    I get alot of errors in it when I try to run it

    #30588

    elgor
    Participant

    On Linux maybe, in Win2003 no errors found 😛

    #30589

    Bobirov
    Participant

    What are the exact errors you guys are getting?

    Tryed on my laptop, didn’t get any errors there either. I’m wondering if you guys installed using the patch instead of the full install? It might also be an issue of installing the new version over the old version without uninstalling or something like that maybe? Some people don’t seem to have any problems.

    Installing the full install to a new directory (e.g. program files/scorched3d40/) appears to have no problems for me.

    #30590

    elgor
    Participant

    I have installed the patch and no errors found 🙂 Linux users may have some problems I think 🙁

Viewing 15 posts - 1 through 15 (of 55 total)

You must be logged in to reply to this topic.